Skip to content

updateSalesInvoice

WRITE

Update sales invoice.

POST /api/v1/invoicing/updateSalesInvoice
curl -X POST '<your-host>/api/v1/invoicing/updateSalesInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "invoiceId": {
      "type": "string"
    },
    "customerId": {
      "type": "string"
    },
    "customerReference": {
      "type": [
        "string",
        "null"
      ]
    },
    "paymentTermId": {
      "type": [
        "string",
        "null"
      ]
    },
    "currencyCode": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "invoiceCustomerId": {
      "type": [
        "string",
        "null"
      ]
    },
    "invoiceCustomerContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "invoiceCustomerLocationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "dateIssued": {
      "type": [
        "string",
        "null"
      ]
    },
    "dateDue": {
      "type": [
        "string",
        "null"
      ]
    },
    "exchangeRate": {
      "type": "number"
    },
    "exchangeRateUpdatedAt": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}